"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compressClassNamesForAx = void 0;
/**
 * Compress class names based on `classNameCompressionMap`.
 * The compressed class name has a format of `_aaaa_a`, which is expected by `ax`.
 * `aaaa` is the atomic group and `a` is the compressed name.
 */
var compressClassNamesForAx = function (classNames, classNameCompressionMap) {
    if (!classNameCompressionMap)
        return classNames;
    return classNames.map(function (className) {
        var compressedClassName = classNameCompressionMap && classNameCompressionMap[className.slice(1)];
        return compressedClassName ? "_".concat(className.slice(1, 5), "_").concat(compressedClassName) : className;
    });
};
exports.compressClassNamesForAx = compressClassNamesForAx;
//# sourceMappingURL=compress-class-names-for-ax.js.map